-- Customer specific once-script SGGR7.
--
-- (c) 2014 Facilitor bv
-- $Revision$
-- $Id$
--
-- Support: +31 53 4800710

SET ECHO ON
SPOOL xsggr7.lst
SET DEFINE OFF

-- SGGR#34781
CREATE OR REPLACE VIEW sggr_v_rap_mld_verlof AS SELECT NULL x FROM DUAL;

insert into fac_usrrap (fac_usrrap_omschrijving,
                        fac_usrrap_view_name,
                        fac_usrrap_info,
                        fac_functie_key,
                        fac_usrrap_functie)
   select   'UDR: Verlof',
            'sggr_v_rap_mld_verlof',
            'Basisrapport voor verlofrapportages',
            fac_functie_key,
            32
     from   fac_functie
    where   fac_functie_code = 'WEB_PRSSYS'
            and not exists
                  (select   ''
                     from   fac_usrrap
                    where   upper (fac_usrrap_view_name) =
                               'sggr_v_rap_mld_verlof');

BEGIN adm.systrackscriptId('$Id$'); END;
/
SPOOL OFF
@sggr.sql
